routes/web.php
        Route::get('/', 'HomeController@index')->name('home');

        Route::resource('settings', 'SettingsController')->only(["index", "update"]);

        Route::group(['namespace' => 'User', 'as' => 'user.', 'prefix' => 'user'], function () {
            Route::post('users/add-wallet', 'UsersController@addWallet')->name('users.addWallet');
            Route::post('users/remove-wallet/{wallet}', 'UsersController@removeWallet')->name('users.removeWallet');
            Route::post('users/delete', 'UsersController@delete')->name('users.delete');
            Route::post('users/restore', 'UsersController@restore')->name('users.restore');
            Route::get('users/archive', 'UsersController@archive')->name('users.archive');
            Route::resource('users', 'UsersController');

            Route::get('/profile/change-password', 'ProfileController@changePassword')->name('profile.changePassword');
            Route::post('/profile/set-password', 'ProfileController@setPassword')->name('profile.setPassword');

            Route::get('user-verifications/archive', 'UserVerificationsController@archive')->name('user-verifications.archive');
            Route::resource('user-verifications', 'UserVerificationsController')->only('index', 'show', 'update', 'edit');

            Route::get('credit-level-verifications/archive-ur', 'CreditLevelVerificationsController@archiveUr')->name('credit-level-verifications.archiveUr');
            Route::get('credit-level-verifications/archive', 'CreditLevelVerificationsController@archive')->name('credit-level-verifications.archive');
            Route::get('credit-level-verifications/show-ur/{creditLevelVerification}', 'CreditLevelVerificationsController@showUr')->name('credit-level-verifications.showUr');
            Route::get('credit-level-verifications/edit-ur/{creditLevelUrVerification}', 'CreditLevelVerificationsController@editUr')->name('credit-level-verifications.editUr');
            Route::put('credit-level-verifications/update-ur/{creditLevelUrVerification}', 'CreditLevelVerificationsController@updateUr')->name('credit-level-verifications.updateUr');
            Route::resource('credit-level-verifications', 'CreditLevelVerificationsController')->only('index', 'update', 'edit', 'show');

            Route::get('credit-line-verifications/archive', 'CreditLineVerificationsController@archive')->name('credit-line-verifications.archive');
            Route::resource('credit-line-verifications', 'CreditLineVerificationsController')->only('index', 'update', 'edit');

            Route::get('invest-rank-verifications/archive', 'InvestRankVerificationsController@archive')->name('invest-rank-verifications.archive');
            Route::resource('invest-rank-verifications', 'InvestRankVerificationsController')->only('index', 'show', 'update', 'edit');

            Route::get('deposit-line-verifications/archive', 'DepositLineVerificationsController@archive')->name('deposit-line-verifications.archive');
            Route::resource('deposit-line-verifications', 'DepositLineVerificationsController')->only('index', 'update', 'edit');

            Route::get('user-changes/archive', 'UserChangesController@archive')->name('user-changes.archive');
            Route::resource('user-changes', 'UserChangesController')->only('index', 'update', 'edit');
        });

        Route::group(['namespace' => 'Content', 'prefix' => 'content', 'as' => 'content.'], function () {
            Route::get('pages/archive', 'PagesController@archive')->name('pages.archive');
            Route::post('pages/restore', 'PagesController@restore')->name('pages.restore');
            Route::resource('pages', 'PagesController');

            Route::get('blog-categories/archive', 'BlogCategoriesController@archive')->name('blog-categories.archive');
            Route::post('blog-categories/restore', 'BlogCategoriesController@restore')->name('blog-categories.restore');
            Route::resource('blog-categories', 'BlogCategoriesController');

            Route::get('blogs/archive', 'BlogsController@archive')->name('blogs.archive');
            Route::post('blogs/restore', 'BlogsController@restore')->name('blogs.restore');
            Route::resource('blogs', 'BlogsController');

            Route::get('certificates/archive', 'CertificatesController@archive')->name('certificates.archive');
            Route::post('certificates/restore', 'CertificatesController@restore')->name('certificates.restore');
            Route::resource('certificates', 'CertificatesController');

            Route::get('faq-categories/archive', 'FaqCategoriesController@archive')->name('faq-categories.archive');
            Route::post('faq-categories/restore', 'FaqCategoriesController@restore')->name('faq-categories.restore');
            Route::resource('faq-categories', 'FaqCategoriesController');

            Route::get('faqs/archive', 'FaqsController@archive')->name('faqs.archive');
            Route::post('faqs/restore', 'FaqsController@restore')->name('faqs.restore');
            Route::resource('faqs', 'FaqsController');

            Route::get('block-packages/archive', 'BlockPackagesController@archive')->name('block-packages.archive');
            Route::post('block-packages/restore', 'BlockPackagesController@restore')->name('block-packages.restore');
            Route::resource('block-packages', 'BlockPackagesController');

            Route::get('page-about', 'PageAboutController@edit')->name('page-about.edit');
            Route::resource('page-about', 'PageAboutController')->only('update');

            Route::get('page-bonus', 'PageBonusController@edit')->name('page-bonus.edit');
            Route::resource('page-bonus', 'PageBonusController')->only('update');

            Route::get('page-main', 'PageMainController@edit')->name('page-main.edit');
            Route::resource('page-main', 'PageMainController')->only('update');

            Route::get('page-investor', 'PageInvestorController@edit')->name('page-investor.edit');
            Route::resource('page-investor', 'PageInvestorController')->only('update');
        });

        Route::group(['namespace' => 'Handbook', 'prefix' => 'handbook', 'as' => 'handbook.'], function () {
            Route::get('credit-levels/archive', 'CreditLevelsController@archive')->name('credit-levels.archive');
            Route::post('credit-levels/restore', 'CreditLevelsController@restore')->name('credit-levels.restore');
            Route::resource('credit-levels', 'CreditLevelsController');

            Route::get('investor-ranks/archive', 'InvestorRanksController@archive')->name('investor-ranks.archive');
            Route::post('investor-ranks/restore', 'InvestorRanksController@restore')->name('investor-ranks.restore');
            Route::resource('investor-ranks', 'InvestorRanksController');

            Route::get('type-transactions/archive', 'TypeTransactionsController@archive')->name('type-transactions.archive');
            Route::post('type-transactions/restore', 'TypeTransactionsController@restore')->name('type-transactions.restore');
            Route::resource('type-transactions', 'TypeTransactionsController');

            Route::get('assets/archive', 'AssetsController@archive')->name('assets.archive');
            Route::get('assets/coins', 'AssetsController@coins')->name('assets.coins');
            Route::post('assets/restore', 'AssetsController@restore')->name('assets.restore');
            Route::resource('assets', 'AssetsController');

            Route::resource('type-statuses', 'TypeStatusesController');
            Route::resource('type-two-statuses', 'TypeTwoStatusesController');
        });

        Route::post('forms/restore', 'FormsController@restore')->name('forms.restore');
        Route::get('forms/archive', 'FormsController@archive')->name('forms.archive');
        Route::resource('forms', 'FormsController')->only('index', 'destroy');

        Route::post('subscribes/restore', 'SubscribesController@restore')->name('subscribes.restore');
        Route::get('subscribes/archive', 'SubscribesController@archive')->name('subscribes.archive');
        Route::resource('subscribes', 'SubscribesController')->only('index', 'destroy');

        Route::resource('admin-mailings', 'AdminMailingsController')->only('index', 'show', 'create', 'store');

        Route::post('transactions/approve/{transaction}', 'TransactionsController@approve')->name('transactions.approve');
        Route::put('transactions/reject/{transaction}', 'TransactionsController@reject')->name('transactions.reject');
        Route::post('transactions/approve-bonus/{transaction}', 'TransactionsController@approveBonus')->name('transactions.approveBonus');
        Route::get('transactions/approve-trader-out-edit/{transaction}', 'TransactionsController@approveTraderOutEdit')->name('transactions.approve-trader-out-edit');
        Route::post('transactions/approve-trader-out/{transaction}', 'TransactionsController@approveTraderOut')->name('transactions.approve-trader-out');
        Route::post('transactions/approve-trader-transaction/{transaction}', 'TransactionsController@approveTraderTransaction')->name('transactions.approveTraderTransaction');
        Route::post('transactions/approve-trader-sell-transaction/{transaction}', 'TransactionsController@approveTraderIsSell')->name('transactions.approveTraderIsSell');
        Route::post('transactions/approve-deposit-out/{transaction}', 'TransactionsController@approveDepositOut')->name('transactions.approve-deposit-out');
        Route::get('transactions/approve-inv-out-edit/{transaction}', 'TransactionsController@approveInvOutEdit')->name('transactions.approve-inv-out-edit');
        Route::post('transactions/approve-staking/{transaction}', 'TransactionsController@approveStaking')->name('transactions.approve-staking');
        Route::post('transactions/approve-inv-out/{transaction}', 'TransactionsController@approveInvOut')->name('transactions.approve-inv-out');

app/Http/Controllers/Admin/Content/BlockPackagesController.php
<?php

namespace App\Http\Controllers\Admin\Content;

use App\Entity\Content\BlockPackage;
use App\Http\Controllers\Controller;
use App\Services\BlockPackage\BlockPackageService;
use App\Services\BlockPackage\Repositories\EloquentBlockPackageRepository;
use App\Services\BlockPackage\Requests\CreateRequest;
use App\Services\BlockPackage\Requests\FilterRequest;
use App\Services\BlockPackage\Requests\UpdateRequest;
use Illuminate\Http\Request;

class BlockPackagesController extends Controller
{
    private $service;
    private $repository;

    public function __construct(BlockPackageService $service, EloquentBlockPackageRepository $repository)
    {
        $this->service = $service;
        $this->repository = $repository;
    }

    public function index(FilterRequest $request)
    {
        $items = $this->repository->search($request)->paginate(20);
        $isArchive = false;
        return view('admin.content.block-packages.index', compact('items', 'isArchive'));
    }

    public function archive(FilterRequest $request)
    {
        $items = $this->repository->search($request)->onlyTrashed()->paginate(20);
        $isArchive = true;
        return view('admin.content.block-packages.index', compact('items', 'isArchive'));
    }

    public function restore(Request $request)
    {
        $this->service->restore($request->get('id'));
        return redirect()->back();
    }

    public function create()
    {
        return view('admin.content.block-packages.create');
    }

    public function store(CreateRequest $request)
    {
        try {
            $blockPackage = $this->service->new($request);
        } catch (\Exception $e) {
            \Log::error('Exception', [$e]);
            return redirect()->route('admin.content.block-packages.create')->withInput($request->all())->with('danger', $e->getMessage());
        }

        return redirect()->route('admin.content.block-packages.show', $blockPackage)->with('success', 'Запись создана');
    }

    public function show(BlockPackage $blockPackage)
    {
        return view('admin.content.block-packages.show', compact('blockPackage'));
    }

    public function edit(BlockPackage $blockPackage)
    {
        return view('admin.content.block-packages.edit', compact('blockPackage'));
    }

    public function update(UpdateRequest $request, BlockPackage $blockPackage)
    {
        try {
            $this->service->edit($request, $blockPackage);
        } catch (\Exception $e) {
            \Log::error('Exception', [$e]);
            return redirect()->route('admin.content.block-packages.edit', $blockPackage)->withInput($request->all())->with('danger', $e->getMessage());
        }

        return redirect()->route('admin.content.block-packages.show', $blockPackage)->with('success', 'Запись изменена');
    }

    public function destroy(BlockPackage $blockPackage)
    {
        $blockPackage->delete();
        return redirect()->route('admin.content.block-packages.index')->with('success', 'Запись удалена');
    }

}

app/Http/Controllers/Admin/Content/BlogCategoriesController.php
<?php

namespace App\Http\Controllers\Admin\Content;

use App\Entity\Content\Blog\BlogCategory;
use App\Http\Controllers\Controller;
use App\Services\Blog\BlogService;
use App\Services\Blog\Repositories\EloquentBlogRepository;
use App\Services\Blog\Requests\CreateCategoryRequest;
use App\Services\Blog\Requests\FilterRequest;
use App\Services\Blog\Requests\UpdateCategoryRequest;
use Illuminate\Http\Request;

class BlogCategoriesController extends Controller
{
    private $service;
    private $repository;

    public function __construct(BlogService $service, EloquentBlogRepository $repository)
    {
        $this->service = $service;
        $this->repository = $repository;
    }

    public function index(FilterRequest $request)
    {
        $items = $this->repository->searchCategory($request)->paginate(20);
        $isArchive = false;
        return view('admin.content.blog-categories.index', compact('items', 'isArchive'));
    }

    public function archive(FilterRequest $request)
    {
        $items = $items = $this->repository->searchCategory($request)->onlyTrashed()->paginate(20);
        $isArchive = true;

        return view('admin.content.blog-categories.index', compact('items', 'isArchive'));
    }

    public function restore (Request $request)
    {
        BlogCategory::onlyTrashed()
            ->where('id', $request->get('id'))
            ->restore();
        return redirect()->back();
    }

    public function create()
    {
        return view('admin.content.blog-categories.create');
    }

    public function store(CreateCategoryRequest $request)
    {
        try{
            $blogCategory = $this->service->newCategory($request);
        }catch (\Exception $e){
            \Log::error('Exception', [$e]);
            return redirect()->route('admin.content.blog-categories.create')->withInput($request->all())->with('danger', $e->getMessage());
        }
        return redirect()->route('admin.content.blog-categories.show', $blogCategory)->with('success', 'Запись создана');
    }

    public function show(BlogCategory $blogCategory)
    {
        return view('admin.content.blog-categories.show', compact('blogCategory'));
    }

    public function edit(BlogCategory $blogCategory)
    {
        return view('admin.content.blog-categories.edit', compact('blogCategory'));
    }

    public function update(UpdateCategoryRequest $request, BlogCategory $blogCategory)
    {
        try{
            $this->service->editCategory($request, $blogCategory);
        }catch (\Exception $e){
            \Log::error('Exception', [$e]);
            return redirect()->route('admin.content.blog-categories.edit', $blogCategory)->withInput($request->all())->with('danger', $e->getMessage());
        }
        return redirect()->route('admin.content.blog-categories.show', $blogCategory)->with('success', 'Запись изменена');
    }

    public function destroy(BlogCategory $blogCategory)
    {
        $blogCategory->delete();
        return redirect()->route('admin.content.blog-categories.index')->with('success', 'Запись удалена');
    }

}

app/Http/Controllers/Admin/Content/PageAboutController.php
<?php

namespace App\Http\Controllers\Admin\Content;

use App\Entity\Content\PageAbout;
use App\Http\Controllers\Controller;
use App\Services\Page\PageService;
use App\Services\Page\Requests\PageAboutRequest;

class PageAboutController extends Controller
{
    private $service;

    public function __construct(PageService $service)
    {
        $this->service = $service;
    }

    public function edit()
    {
        $pageAbout = PageAbout::firstOrFail();
        return view('admin.content.page-about.edit', compact('pageAbout'));
    }

    public function update(PageAboutRequest $request, PageAbout $pageAbout)
    {
        try {
            $this->service->editPageAbout($request, $pageAbout);
        } catch (\Exception $e) {
            \Log::error('Exception', [$e]);
            return redirect()->back()->withInput($request->all())->with('danger', $e->getMessage());
        }

        return redirect()->back()->with('success', 'Запись изменена');
    }

}

resources/views/admin/content/faq-categories/_fields.blade.php
<div class="form-group">
    {!! Form::hidden('is_convert', 0) !!}
    <div class="checkbox">
        <label>
            {!! Form::checkbox('is_convert', 1) !!} Для страницы конвертация
        </label>
    </div>
    {{ Form::error('is_convert') }}
</div>

<!-- Custom Tabs -->
<div class="nav-tabs-custom">
    <ul class="nav nav-tabs">
        @foreach(config('translatable.locales') as $key => $locale)
            <li class="{{$key == 0 ? 'active' : ''}}"><a href="#tab_{{$key}}" data-toggle="tab">{{$locale}}</a></li>
        @endforeach
    </ul>
    <div class="tab-content">
        @foreach(config('translatable.locales') as $key => $locale)
            <div class="tab-pane {{$key == 0 ? 'active' : ''}}" id="tab_{{$key}}">
                <div class="form-group">
                    {!! Form::label($locale.'[title]', 'Название') !!}
                    {{ Form::text($locale.'[title]', $faqCategory ? $faqCategory->{'title:'.$locale} : null, ['class' => 'form-control', 'id' => 'title_'.$locale]) }}
                    {{ Form::error($locale . '.title') }}
                </div>

                <div class="form-group">
                    {!! Form::label($locale.'[description]', 'Описание') !!}
                    {{ Form::textarea($locale.'[description]', $faqCategory ? $faqCategory->{'description:'.$locale} : null, ['class' => 'form-control']) }}
                    {{ Form::error($locale . '.description') }}
                </div>
            </div>
        @endforeach
    </div>
</div>

{{ Form::btn_save() }}

resources/views/admin/content/faq-categories/create.blade.php
@extends('admin.layouts.resource-layout')

@section('title')
    <h3>Категории FAQ: Создать</h3>
@endsection

@section('resource-content')
    <div class="row">
        <div class="col-xs-12">
            <div class="x_panel">
                <div class="x_content">
                    {!! Form::open(['url' => route('admin.content.faq-categories.store')]) !!}
                        @include('admin.content.faq-categories._fields', ['faqCategory' => null])
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/admin/content/faq-categories/edit.blade.php
@extends('admin.layouts.resource-layout')

@section('title')
    <h3>Категории FAQ: Изменить {{ $faqCategory->title }}</h3>
@endsection

@section('resource-content')
    <div class="row">
        <div class="col-xs-12">
            <div class="x_panel">
                <div class="x_content">
                    {!! Form::model($faqCategory, ['url' => route('admin.content.faq-categories.update', $faqCategory), 'method' => 'PUT']) !!}
                        @include('admin.content.faq-categories._fields')
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/admin/content/faq-categories/index.blade.php
@extends('admin.layouts.resource-layout')

@section('title')
    <h3>{{ $isArchive ? 'Архив' : '' }} Категории FAQ</h3>
@endsection

@section('resource-content')

    <div class="page-filter clearfix">
        <form action="?" method="GET">
            <div class="row">
                <div class="col-sm-3">
                    <div class="form-group">
                        <label for="id" class="col-form-label">ID</label>
                        <input id="id" class="form-control" name="id" value="{{ request('id') }}">
                        {!! Form::error('id') !!}
                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <label for="title" class="col-form-label">Название</label>
                        <input id="title" class="form-control" name="title" value="{{ request('title') }}">
                        {!! Form::error('title') !!}
                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <label for="description" class="col-form-label">Описание</label>
                        <input id="description" class="form-control" name="description" value="{{ request('description') }}">
                        {!! Form::error('description') !!}
                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group text-right">
                        <label class="col-form-label">&nbsp;</label><br />
                        <button title="Поиск" type="submit" class="btn bg-orange"><i class="fa fa-search" aria-hidden="true"></i></button>
                        <a title="Очистить" href="?" class="btn btn-default"><i class="fa fa-retweet" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>
        </form>
    </div>


    <div class="row">
        <div class="col-xs-12">
            <div class="x_panel">
                <div class="x_content">

                    <div class="row">
                        <div class="col-xs-6">
                            <a href="{{ route('admin.content.faq-categories.create') }}" class="btn btn-success btn-sm"><i class="fa fa-plus" aria-hidden="true"></i> Создать</a>
                        </div>
                        <div class="col-xs-6 text-right">
                            @if($isArchive)
                                <a href="{{route("admin.content.faq-categories.index")}}" class="btn btn-info btn-sm">
                                    <i class="fa fa-archive" aria-hidden="true"></i></i> Активные
                                </a>
                            @else
                                <a href="{{route("admin.content.faq-categories.archive")}}" class="btn btn-warning btn-sm">
                                    <i class="fa fa-archive" aria-hidden="true"></i></i> Архив
                                </a>
                            @endif
                        </div>
                    </div>

                    <table class="table table-hover  table-border jambo_table">
                        <thead>
                            <tr>
                                <th>@sortablelink('id', 'ID')</th>
                                <th>@sortablelink('title', 'Название')</th>
                                <th>@sortablelink('is_convert', 'Для страницы конвертация')</th>
                                <th class="text-right">Действия</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($items as $item)
                                <tr>
                                    <td>{{ $item->id }}</td>
                                    <td>
                                        <a href="{{ route('admin.content.faq-categories.show', $item) }}">{{ $item->title }}</a>
                                    </td>
                                    <td>{{ $item->is_convert ? 'Да' : 'Нет'}}</td>
                                    <td class="text-right">
                                        @if($isArchive)
                                            {!! Form::open(['url' => route('admin.content.faq-categories.restore', $item), 'class' => 'form-inline-block']) !!}
                                                <input type="hidden" name="id" value="{{ $item->id }}">
                                                <div class="btn-group">
                                                    <button class="btn btn-success btn-xs"><i class="fa fa-reply" aria-hidden="true"></i></button>
                                                </div>
                                            {!! Form::close() !!}
                                        @else
                                            <a href="{{ route('admin.content.faq-categories.show', $item) }}" class="btn btn-info btn-xs"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                            <a href="{{ route('admin.content.faq-categories.edit', $item) }}" class="btn btn-warning btn-xs"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a>
                                            {!! Form::open(['method' => 'DELETE', 'url' => route('admin.content.faq-categories.destroy', $item), 'class' => 'form-inline-block']) !!}
                                                <button class="btn btn-danger btn-xs"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                            {!! Form::close() !!}
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                    {{ $items->appends(request()->all())->links() }}

                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/admin/content/faq-categories/show.blade.php
@extends('admin.layouts.resource-layout')

@section('title')
    <h3>Категории FAQ: просмотр {{ $faqCategory->title }}</h3>
@endsection

@section('btn')
    <div class="title_right">
        <a href="{{route("admin.content.faq-categories.edit", $faqCategory)}}" class="btn btn-primary btn-xs">
            <i class="fa fa-pencil"></i> Изменить
        </a>
        {!! Form::open(['url' => route('admin.content.faq-categories.destroy', $faqCategory), 'method' => 'DELETE', 'class' => 'form-inline-block']) !!}
        <div class="btn-group">
            <button class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i> Удалить</button>
        </div>
        {!! Form::close() !!}
    </div>
@endsection

@section('resource-content')

    <div class="row">
        <div class="col-xs-12">
            <div class="x_panel">
                <div class="x_content">
                    <table class="table table-bordered table-striped">
                        <tbody>
                            <tr>
                                <th>ID</th><td>{{ $faqCategory->id }}</td>
                            </tr>
                            <tr>
                                <th>Название</th><td>{{ $faqCategory->title }}</td>
                            </tr>
                            <tr>
                                <th>Описание</th><td>{{ $faqCategory->description }}</td>
                            </tr>
                            <tr>
                                <th>Для страницы конвертация</th><td>{{ $faqCategory->is_convert ? 'Да' : 'Нет'}}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection